[arch-commits] Commit in mpfr/repos (6 files)

Allan McRae allan at archlinux.org
Mon Oct 3 23:32:17 UTC 2011


    Date: Monday, October 3, 2011 @ 19:32:17
  Author: allan
Revision: 139633

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  mpfr/repos/testing-i686/
  mpfr/repos/testing-i686/PKGBUILD
    (from rev 139632, mpfr/trunk/PKGBUILD)
  mpfr/repos/testing-i686/mpfr.install
    (from rev 139632, mpfr/trunk/mpfr.install)
  mpfr/repos/testing-x86_64/
  mpfr/repos/testing-x86_64/PKGBUILD
    (from rev 139632, mpfr/trunk/PKGBUILD)
  mpfr/repos/testing-x86_64/mpfr.install
    (from rev 139632, mpfr/trunk/mpfr.install)

-----------------------------+
 testing-i686/PKGBUILD       |   36 ++++++++++++++++++++++++++++++++++++
 testing-i686/mpfr.install   |   20 ++++++++++++++++++++
 testing-x86_64/PKGBUILD     |   36 ++++++++++++++++++++++++++++++++++++
 testing-x86_64/mpfr.install |   20 ++++++++++++++++++++
 4 files changed, 112 insertions(+)

Copied: mpfr/repos/testing-i686/PKGBUILD (from rev 139632, mpfr/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2011-10-03 23:32:17 UTC (rev 139633)
@@ -0,0 +1,36 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: damir <damir at archlinux.org>
+
+pkgname=mpfr
+_pkgver=3.1.0
+pkgver=${_pkgver}
+#_patchlevel=p4
+#pkgver=${_pkgver}.${_patchlevel}
+pkgrel=2
+pkgdesc="Multiple-precision floating-point library"
+arch=('i686' 'x86_64')
+url="http://www.mpfr.org/"
+license=('LGPL')
+depends=('gmp>=5.0')
+options=('!libtool')
+install=mpfr.install
+source=(http://www.mpfr.org/mpfr-current/mpfr-${_pkgver}.tar.xz)
+md5sums=('6e495841bb026481567006cec0f821c3')
+
+build() {
+  cd "${srcdir}/${pkgname}-${_pkgver}"
+  #patch -Np1 -i $srcdir/mpfr-${_pkgver}.${_patchlevel}.patch
+  ./configure --prefix=/usr --enable-thread-safe --enable-shared
+  make
+}
+
+check() {
+  cd "${srcdir}/${pkgname}-${_pkgver}"
+  make check
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${_pkgver}"
+  make DESTDIR="${pkgdir}" install
+}

Copied: mpfr/repos/testing-i686/mpfr.install (from rev 139632, mpfr/trunk/mpfr.install)
===================================================================
--- testing-i686/mpfr.install	                        (rev 0)
+++ testing-i686/mpfr.install	2011-10-03 23:32:17 UTC (rev 139633)
@@ -0,0 +1,20 @@
+info_dir=usr/share/info
+info_files=(mpfr.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}

Copied: mpfr/repos/testing-x86_64/PKGBUILD (from rev 139632, mpfr/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2011-10-03 23:32:17 UTC (rev 139633)
@@ -0,0 +1,36 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: damir <damir at archlinux.org>
+
+pkgname=mpfr
+_pkgver=3.1.0
+pkgver=${_pkgver}
+#_patchlevel=p4
+#pkgver=${_pkgver}.${_patchlevel}
+pkgrel=2
+pkgdesc="Multiple-precision floating-point library"
+arch=('i686' 'x86_64')
+url="http://www.mpfr.org/"
+license=('LGPL')
+depends=('gmp>=5.0')
+options=('!libtool')
+install=mpfr.install
+source=(http://www.mpfr.org/mpfr-current/mpfr-${_pkgver}.tar.xz)
+md5sums=('6e495841bb026481567006cec0f821c3')
+
+build() {
+  cd "${srcdir}/${pkgname}-${_pkgver}"
+  #patch -Np1 -i $srcdir/mpfr-${_pkgver}.${_patchlevel}.patch
+  ./configure --prefix=/usr --enable-thread-safe --enable-shared
+  make
+}
+
+check() {
+  cd "${srcdir}/${pkgname}-${_pkgver}"
+  make check
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${_pkgver}"
+  make DESTDIR="${pkgdir}" install
+}

Copied: mpfr/repos/testing-x86_64/mpfr.install (from rev 139632, mpfr/trunk/mpfr.install)
===================================================================
--- testing-x86_64/mpfr.install	                        (rev 0)
+++ testing-x86_64/mpfr.install	2011-10-03 23:32:17 UTC (rev 139633)
@@ -0,0 +1,20 @@
+info_dir=usr/share/info
+info_files=(mpfr.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}




More information about the arch-commits mailing list